Daemon Power

The NetBSD Packages Collection: x11/wterm

Brief description of the package:
NeXTStep(tm) style X11 terminal emulator for WindowMaker

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://wterm.sourceforge.net/.

The package is located in the "x11/wterm" directory. The current source version of the package is "wterm-6.2.9nb25". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for x11/wterm :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: windowmaker>=0.95.4 perl>=5.0 cwrappers>=20150314 pango>=1.6.0 Xft2>=2.1.7nb3 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 x11-links>=1.31 osabi-NetBSD-8.1_STABLE xorgproto>=2016.1 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 meson-[0-9]* ninja-build>=1.7 python37>=3.7 openssl>=1.1.1 openssl>=1.1.1dnb2 readline>=2.2 readline>=6.0 python37>=3.7.0 re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.7 glib2>=2.4.0 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 glib2>=2.64.0nb1 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 lzo>=2.01 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 Xft2>=2.1.7nb7 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb4 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 giflib>=5.2.1 libexif>=0.6.11 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 libXpm>=3.5.4.2 pango>=1.44.7nb2 libexif>=0.6.20nb1 libwebp>=0.6.0 windowmaker>=0.95.8nb1 .

This package requires the following package(s) to run: windowmaker>=0.95.4 perl>=5.0 pango>=1.6.0 Xft2>=2.1.7nb3 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1 Xft2>=2.1nb2 Xrender>=0.8 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.3nb1 glib2>=2.4.0 harfbuzz>=2.0 icu>=3.4 graphite2>=1.2 icu>=64.1 glib2>=2.64.0nb1 harfbuzz>=2.1.1 cairo>=1.12.10 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 lzo>=2.01 png>=1.2.4 pixman>=0.30.0 pixman>=0.25.2 png>=1.6.0nb1 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 python37>=3.7 openssl>=1.1.1 openssl>=1.1.1dnb2 python37>=3.7.0 Xft2>=2.1.7nb7 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb4 giflib>=5.2.1 libexif>=0.6.11 libwebp>=0.2.0 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 tiff>=4.0.3nb5 libXpm>=3.5.4.2 pango>=1.44.7nb2 libexif>=0.6.20nb1 libwebp>=0.6.0 windowmaker>=0.95.8nb1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:wterm-6.2.9nb25.tgz(NetBSD 9.0)
alpha:wterm-6.2.9nb25.tgz(NetBSD 8.0)
alpha:wterm-6.2.9nb25.tgz(NetBSD 9.0)
earm:wterm-6.2.9nb24.tgz(NetBSD 7.0)
earm:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earm:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earmv4:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earmv6hf:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earmv6hf:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earmv6hf:wterm-6.2.9nb25.tgz(NetBSD 9.0)
earmv7hf:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earmv7hf:wterm-6.2.9nb25.tgz(NetBSD 8.0)
earmv7hf:wterm-6.2.9nb25.tgz(NetBSD 9.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.1)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.1)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.1)
i386:wterm-6.2.9nb25.tgz(NetBSD 7.1)
i386:wterm-6.2.9nb25.tgz(NetBSD 8.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 8.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 8.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 8.0)
i386:wterm-6.2.9nb25.tgz(NetBSD 9.0)
i386:wterm-6.2.9nb14.tgz(QNX 6.5.0)
mips64eb:wterm-6.2.9nb25.tgz(NetBSD 8.0)
mips64eb:wterm-6.2.9nb25.tgz(NetBSD 9.0)
powerpc:wterm-6.2.9nb25.tgz(NetBSD 7.1)
powerpc:wterm-6.2.9nb25.tgz(NetBSD 9.0)
powerpc:wterm-6.2.9nb25.tgz(NetBSD 9.0)
sparc64:wterm-6.2.9nb25.tgz(NetBSD 8.0)
sparc64:wterm-6.2.9nb25.tgz(NetBSD 9.0)
sparc:wterm-6.2.9nb24.tgz(NetBSD 7.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 9.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.1)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.1)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.1)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 7.1)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 8.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 8.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 8.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 8.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 9.0)
x86_64:wterm-6.2.9nb25.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]